mbedtls_dtls_srtp_info_t Struct Reference

`#include <ssl.h>`

## Data Fields

mbedtls_ssl_srtp_profile | chosen_dtls_srtp_profile
uint16_t | mki_len
unsigned char | mki_value [MBEDTLS_TLS_SRTP_MAX_MKI_LENGTH]

## Detailed Description

Definition at line 951 of file ssl.h.

## Field Documentation

## chosen_dtls_srtp_profile

mbedtls_ssl_srtp_profile mbedtls_dtls_srtp_info_t::chosen_dtls_srtp_profile

The SRTP profile that was negotiated.

Definition at line 954 of file ssl.h.

## mki_len

uint16_t mbedtls_dtls_srtp_info_t::mki_len

The length of mki_value.

Definition at line 956 of file ssl.h.

## mki_value

unsigned char mbedtls_dtls_srtp_info_t::mki_value[MBEDTLS_TLS_SRTP_MAX_MKI_LENGTH]

The mki_value used, with max size of 256 bytes.

Definition at line 958 of file ssl.h.

The documentation for this struct was generated from the following file:

- ssl.h